mRNAseq_Clustering_Consensus:
  prerequisites: []
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: mRNAseq_exp_RPKM_TMM_log2, optional: false, name: GDAC_TopgenesforCluster1.expfile,
    mode: Simple_Expression}
  - {expression: '1500', optional: true, name: GDAC_TopgenesforCluster1.selectedgenes,
    mode: Literal}
  - {expression: Hierarchical, optional: true, name: GDAC_ConsensusClustering2.clustering.algorithm,
    mode: Literal}
  - {expression: columns, optional: true, name: GDAC_ConsensusClustering2.cluster.by,
    mode: Literal}
  - {expression: Pearson, optional: true, name: GDAC_ConsensusClustering2.distance.measure,
    mode: Literal}
  - {expression: column-wise, optional: true, name: GDAC_ConsensusClustering2.normalize.type,
    mode: Literal}
  - {expression: Pearson, optional: false, name: GDAC_selectBestcluster3.measure,
    mode: Literal}
  - {expression: individual_set_id, optional: false, name: GDAC_selectBestcluster3.output,
    mode: Simple_Expression}
  - {expression: mRNAseq_exp_RPKM_TMM_log2, optional: false, name: GDAC_selectBestcluster3.inputallexp,
    mode: Simple_Expression}
  - {expression: hclumRNAseq, optional: false, name: GDAC_CnmfReports4.report, mode: Literal}
  outputs:
  - {extension: bestclus.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2803, mode: Simple_Expression}
  - {extension: subclassmarkers.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2805, mode: Simple_Expression}
  output-path: mRNAseq/clustering_Consensus
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00445:13
